<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <title>Boards</title>
</head>
<body>
<table border="2">
    <thead>
    <tr>
        <th>Title</th>
        <th>Description</th>
        <th>Status</th>
        <th>Priority</th>
        <th>ReporterId</th>
        <th>AssigneeId</th>
        <th>BoardId</th>
        <th>Start Date</th>
        <th>End Date</th>
        <th>Show task details</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="task : ${tasks}">
        <td th:text="${task.title}">Title</td>
        <td th:text="${task.description}">Description</td>
        <td th:text="${task.status}">Status</td>
        <td th:text="${task.priority}">Priority</td>
        <td th:text="${task.reporterId}">ReporterId</td>
        <td th:text="${task.assigneeId}">AssigneeId</td>
        <td th:text="${task.boardId}">BoardId</td>
        <td th:text="${task.creationDate}">Creation Date</td>
        <td th:text="${task.endDate}">End Date</td>
        <td><a th:href="@{/v1/api/task/{taskId} (taskId=${task.id})}">Show</a></td>
    </tr>
    </tbody>
</table>
</body>
</html>